<?php

require_once 'noidsonipn.civix.php';

use CRM_Noidsonipn_ExtensionUtil as E;

/**
 * Implementation of hook_civicrm_idsException().
 *
 * Prevent values on my form from being processed by the IDS
 */
function noidsonipn_civicrm_idsException(&$skip) {
  $paymentProcessorIds = \Civi\Api4\PaymentProcessor::get(TRUE)
    ->addSelect('id')
    ->addWhere('is_test', '>=', 0)
    ->execute()
    ->column('id');
  foreach ($paymentProcessorIds as $paymentProcessorId) {
    $skip[] = "/civicrm/payment/ipn/$paymentProcessorId";
  }
}

/**
 * Implements hook_civicrm_config().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_config/
 */
function noidsonipn_civicrm_config(&$config): void {
  _noidsonipn_civix_civicrm_config($config);
}

/**
 * Implements hook_civicrm_install().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_install
 */
function noidsonipn_civicrm_install(): void {
  _noidsonipn_civix_civicrm_install();
}

/**
 * Implements hook_civicrm_enable().
 *
 * @link https://docs.civicrm.org/dev/en/latest/hooks/hook_civicrm_enable
 */
function noidsonipn_civicrm_enable(): void {
  _noidsonipn_civix_civicrm_enable();
}
